﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HostAnyControl {
  /// <summary>
  /// Interaction logic for ComplexDataTypeEditor.xaml
  /// </summary>
  public partial class ComplexDataTypeEditor : UserControl {
    
	  private ComplexDataType _cdt;
	  private double _x;
	  private double _y;

    public double X { 
		get { return this._x; } 
		set
		{
			this._x = value;

			// Create a new Point and update the DataPoint property on the ComplexDataType object
			if (null != this._cdt)
				this._cdt.DataPoint = new Point(value, this._y);
		}
	}

    public double Y { 
		get { return this._y; } 
		set
		{
			this._y = value;

			// Create a new Point and update the DataPoint property on the ComplexDataType object
			if (null != this._cdt)
				this._cdt.DataPoint = new Point(this._x, value);
		}
	}

    public ComplexDataTypeEditor() {
      InitializeComponent();

      this.DataContextChanged += new DependencyPropertyChangedEventHandler(ComplexDataTypeEditor_DataContextChanged);
    }

    void ComplexDataTypeEditor_DataContextChanged(object sender, DependencyPropertyChangedEventArgs e) {

        if (e.NewValue is ComplexDataType) {
			this._cdt = e.NewValue as ComplexDataType;
			_x = ((ComplexDataType)e.NewValue).DataPoint.X;
			_y = ((ComplexDataType)e.NewValue).DataPoint.Y;
      }
    }

  }
}
